summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-07-13 09:27:34 +0000
committerJim Meyering <jim@meyering.net>2003-07-13 09:27:34 +0000
commitd61aba00f061fe9c3829b1d50581dc99cbbc6e27 (patch)
tree09ebe4ff03a5b205eda9dfe23d3b7d75810cef3c /tests
parent83c37b47f8b49086943c8b7192529fe158d70ad9 (diff)
downloadcoreutils-d61aba00f061fe9c3829b1d50581dc99cbbc6e27.tar.xz
add another test
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/nohup4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index bcc610f74..36a965556 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -100,4 +100,8 @@ EOF
# cmp exp err || fail=1
# test $fail = 1 && diff exp err 2> /dev/null
+# Make sure it fails with exit status of 127 when given too few arguments.
+nohup >/dev/null 2>&1
+test $? = 127 || fail=1
+
(exit $fail); exit $fail